Subject: Re: Status on 405GP i2c driver

From: andrew may <[email-masked]>
Date: Wed, 24 Apr 2002 08:39:09 -0700

On Wed, Apr 24, 2002 at 07:47:33AM -0700, Matt Porter wrote:
> It's not a good idea to merge the i2c-2.6.3 support into 2_4_devel.

It seemed that Armins patch to the i2c list was against 2.6.3 so I deciede
to merge that in before I merged in Armin's patch. I started doing the merge
before you added in the files so that made things interesting. Unless you
think 2.6.3 has some new bugs I see no reason to back out the changes in
my tree.

> The idea here is to make available a 4xx IIC driver that can be used
> with the current i2c infrastructure in the 2.4 kernel and can be
> changed in sync with any ocp changes that are made.

I will try to make sure that my patches don't class with any of the core
i2c stuff.

My idea for posting the patches was just to show what I did in my tree,
at this point we should be insync in terms of the actual ibm_ocp drivers.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/